#ifndef __vshelp_inc__
#define __vshelp_inc__

#ifndef __objbase_inc__
#include "objbase.inc"
#endif



extern _IID_IVsHelpOwner as GUID;
// {B9B0983A-364C-4866-873F-D5ED190138FB}
interface IVsHelpOwner : IDispatch
{
	declare virtual BringHelpToTop(/*[in]*/long hwndHelpApp),HRESULT;
	declare virtual get_AutomationObject(IDispatch* ppRetval),HRESULT;
}



extern _IID_IVsHelpTopicShowEvents as GUID;
// {D1AAC64A-6A25-4274-B2C6-BC3B840B6E54}
interface IVsHelpTopicShowEvents : IDispatch
{
	declare virtual OnBeforeTopicShow(/*[in]*/BSTR bstrURL, /*[in]*/IDispatch* pWB),HRESULT;
	declare virtual OnTopicShowComplete(/*[in]*/BSTR bstrURL, /*[in]*/IDispatch* pWB),HRESULT;
}



extern _IID_Help as GUID;
// {4A791148-19E4-11D3-B86B-00C04F79F802}
interface Help : IDispatch
{
	declare virtual Contents(),HRESULT;
	declare virtual Index(),HRESULT;
	declare virtual Search(),HRESULT;
	declare virtual IndexResults(),HRESULT;
	declare virtual SearchResults(),HRESULT;
	declare virtual DisplayTopicFromId(/*[in]*/BSTR bstrFile, /*[in]*/ULONG Id),HRESULT;
	declare virtual DisplayTopicFromURL(/*[in]*/BSTR pszURL),HRESULT;
	declare virtual DisplayTopicFromURLEx(/*[in]*/BSTR pszURL, /*[in]*/IVsHelpTopicShowEvents* pIVsHelpTopicShowEvents),HRESULT;
	declare virtual DisplayTopicFromKeyword(/*[in]*/BSTR pszKeyword),HRESULT;
	declare virtual DisplayTopicFromF1Keyword(/*[in]*/BSTR pszKeyword),HRESULT;
	declare virtual DisplayTopicFrom_OLD_Help(/*[in]*/BSTR bstrFile, /*[in]*/ULONG Id),HRESULT;
	declare virtual SyncContents(/*[in]*/BSTR bstrURL),HRESULT;
	declare virtual CanSyncContents(/*[in]*/BSTR bstrURL),HRESULT;
	declare virtual GetNextTopic(/*[in]*/BSTR bstrURL, BSTR* ppRetval),HRESULT;
	declare virtual GetPrevTopic(/*[in]*/BSTR bstrURL, BSTR* ppRetval),HRESULT;
	declare virtual FilterUI(),HRESULT;
	declare virtual CanShowFilterUI(),HRESULT;
	declare virtual Close(),HRESULT;
	declare virtual SyncIndex(/*[in]*/BSTR bstrKeyword, /*[in]*/long fShow),HRESULT;
	declare virtual SetCollection(/*[in]*/BSTR bstrCollection, /*[in]*/BSTR bstrFilter),HRESULT;
	declare virtual get_Collection(BSTR* ppRetval),HRESULT;
	declare virtual get_Filter(BSTR* ppRetval),HRESULT;
	declare virtual put_Filter(/*[in]*/BSTR rhs),HRESULT;
	declare virtual get_FilterQuery(BSTR* ppRetval),HRESULT;
	declare virtual get_HelpOwner(IVsHelpOwner* ppRetval),HRESULT;
	declare virtual put_HelpOwner(/*[in]*/IVsHelpOwner* rhs),HRESULT;
	declare virtual get_HxSession(IDispatch* ppRetval),HRESULT;
	declare virtual get_Help(IDispatch* ppRetval),HRESULT;
	declare virtual GetObject(/*[in]*/BSTR bstrMoniker, /*[in]*/BSTR bstrOptions, IDispatch* ppRetval),HRESULT;
}



extern _IID_IVsHelpEvents as GUID;
// {507E4490-5A8C-11D3-B897-00C04F79F802}
interface IVsHelpEvents : IDispatch
{
	declare virtual OnFilterChanged(/*[in]*/BSTR bstrNewFilter),HRESULT;
	declare virtual OnCollectionChanged(/*[in]*/BSTR bstrNewCollection, /*[in]*/BSTR bstrNewFilter),HRESULT;
}


// {4A79114D-19E4-11D3-B86B-00C04F79F802}
extern _CLSID_DExploreAppObj as GUID;
// interface Help
// interface IVsHelpEvents



//-------------------------------------------------------
// Library VsHelp80

enum __vsSearchFlags
{
	vsSearchFlagsNone = 0,
	vsSearchFlagsExecuteSearch = 1,
	vsSearchFlagsAddToExistingQueryString = 2,
	vsSearchFlagsFilterTransformSpecified = 4
}

enum __vsAskQuestionFlags
{
	vsAskQuestionFlagsAskNew = 1,
	vsAskQuestionFlagsCheckStatus = 2,
	vsAskQuestionFlagsSendFeedback = 4
}

enum __vsHelpDisplayUrlFlags
{
	vsHelpDisplayUrlFlagsNone = 0,
	vsHelpDisplayUrlFlagsHighlightTerm = 1,
	vsHelpDisplayUrlFlagsOpenNewWindow = 2,
	vsHelpDisplayUrlFlagsGuidLocal = 16,
	vsHelpDisplayUrlFlagsGuidOnline = 32,
	vsHelpDisplayUrlFlagsGuidLocale = 64,
	vsHelpDisplayUrlFlagsGuidFailover = 128,
	vsHelpDisplayUrlFlagsNamedUrl = 256,
	vsHelpDisplayUrlFlagsNoHistory = 512,
	vsHelpDisplayUrlFlagsNoHistoryThisPage = 1024
}

enum __vsHelpUrlFromTopicIDFlags
{
	HUFTID_Default = 0,
	HUFTID_Local = 1,
	HUFTID_Online = 2,
	HUFTID_Locale = 4
}


extern _IID_Help2 as GUID;
// {78413D2D-0492-4A9B-AB25-730633679977}
interface Help2 : Help
{
	declare virtual SearchEx(/*[in]*/BSTR bstrSearchFilterTransform, /*[in]*/BSTR pszSearchTerm, /*[in]*/ULONG vssfSearchFlags),HRESULT;
	declare virtual HowDoI(),HRESULT;
	declare virtual Favorites(),HRESULT;
	declare virtual AskAQuestion(/*[in]*/ULONG askQuestionFlags),HRESULT;
	declare virtual DisplayTopicFromURLEx2(/*[in]*/BSTR bstrURL, /*[in]*/ULONG displayUrlFlags, /*[in]*/BSTR bstrParam),HRESULT;
	declare virtual InitializeSettingsToken(/*[in]*/BSTR bstrSettingsToken),HRESULT;
}



extern _IID_IVsHelpFavorites as GUID;
// {D1333514-2B6B-4479-8135-A39E286E146D}
interface IVsHelpFavorites : IUnknown
{
	declare virtual ShowFavorites(),HRESULT;
	declare virtual AddFavoriteTopic(/*[in]*/BSTR strTitle, /*[in]*/BSTR strUrl, /*[in]*/BSTR topicKeyword, /*[in]*/BSTR strTopicLocale),HRESULT;
}


//////////////////////////////////
// module vsHelpSearchFilterTransforms
#define vsHelpSearchFilterTransformsHelp L"Help"
#define vsHelpSearchFilterTransformsControls L"Controls"
#define vsHelpSearchFilterTransformsSamples L"Samples"
#define vsHelpSearchFilterTransformsSnippets L"Snippets"
#define vsHelpSearchFilterTransformsStarterKits L"StarterKits"
#define vsHelpSearchFilterTransformsAddins L"Addins"
#define vsHelpSearchFilterTransformsUnfiltered L"Unfiltered"


extern _IID_SVsHelpFavorites as GUID;
// {4A81432B-BFCC-4832-9BE9-15977DA82072}
interface SVsHelpFavorites : IUnknown
{
}


//-------------------------------------------------------------------
// library MSHelpServices

enum HxHierarchyNodeType
{
	HxHierarchy_Book = 3,
	HxHierarchy_BookPage = 4,
	HxHierarchy_Page = 5,
	HxHierarchy_Unknown = 8
}

enum HxHierarchyPropId
{
	HxHierarchyTocFont = 0,
	HxHierarchyTocFontSize = 1,
	HxHierarchyTocLangId = 2,
	HxHierarchyTocCharSet = 3,
	HxHierarchyTocId = 4,
	HxHierarchyTocFileVer = 5,
	HxHierarchyTocIconFile = 6,
	HxHierarchyTocParentNodeIcon = 7,
	HxHierarchyTocIcon = 8
}

enum HxTopicGetTitleType
{
	HxTopicGetTOCTitle = 0,
	HxTopicGetRLTitle = 1,
	HxTopicGetHTMTitle = 2
}

enum HxTopicGetTitleDefVal
{
	HxTopicGetTitleFullURL = 0,
	HxTopicGetTitleFileName = 1,
	HxTopicGetTitleNoDefault = 2
}

enum HxQueryPropId
{
	HxPropIdQueryFirst = 0
}

enum HxTopicPropId
{
	HxTopicPropIdFirst = 0
}

enum HxHierarchy_PrintNode_Options
{
	HxHierarchy_PrintNode_Option_Node = 0,
	HxHierarchy_PrintNode_Option_Children = 1
}

enum HxQuery_Options
{
	HxQuery_No_Option = 0,
	HxQuery_FullTextSearch_Title_Only = 1,
	HxQuery_FullTextSearch_Enable_Stemming = 2,
	HxQuery_FullTextSearch_SearchPrevious = 4,
	HxQuery_KeywordSearch_CaseSensitive = 10,
	HxQuery_KeywordSearch_AllowDuplicates = 16,
	HxQuery_FullTextSearch_Wildcard_Preserve = 128,
	HxQuery_FullTextSearch_ReturnRanking = 256,
	HxQuery_FullTextSearch_MinImprovements = 512
}

enum HxCollectionPropId
{
	HxCollectionProp_NamespaceName = 1,
	HxCollectionProp_Font = 2,
	HxCollectionProp_FontSize = 3,
	HxCollectionProp_LangId = 4,
	HxCollectionProp_CharSet = 5,
	HxCollectionProp_Id = 6,
	HxCollectionProp_FileVer = 7,
	HxCollectionProp_CopyRight = 8
}

enum HxRegFilterPropId
{
	HxRegFilterName = 0,
	HxRegFilterQuery = 1
}

enum HxIndexPropId
{
	HxIndexFont = 0,
	HxIndexFontSize = 1,
	HxIndexLangId = 2,
	HxIndexCharSet = 3,
	HxIndexTitleStr = 4,
	HxIndexIsVisible = 5,
	HxIndexId = 6
}

enum HxSampleFileCopyOption
{
	HxSampleFileCopyNoOption = 0,
	HxSampleFileCopyOverwrite = 1,
	HxSampleFileCopyFileOnly = 2
}

enum HxRegNamespacePropId
{
	HxRegNamespaceTitleList = 0,
	HxRegNamespacePlugInList = 1,
	HxRegNamespaceName = 2,
	HxRegNamespaceCollection = 3,
	HxRegNamespaceDescription = 4,
	HxRegNamespaceFilterList = 8
}

enum HxRegTitlePropId
{
	HxRegTitleFileName = 0,
	HxRegTitleIndexName = 1,
	HxRegTitleQueryName = 2,
	HxRegTitleId = 3,
	HxRegTitleLangId = 4,
	HxRegAttrQueryName = 5,
	HxRegTitleHxsMediaLoc = 6,
	HxRegTitleHxqMediaLoc = 7,
	HxRegTitleHxrMediaLoc = 8,
	HxRegTitleSampleMediaLoc = 9
}

enum HxRegPlugInPropId
{
	HxRegPlugInName = 0
}

enum HxRegisterSession_InterfaceType
{
	HxRegisterSession_IHxRegister = 0,
	HxRegisterSession_IHxFilters = 1,
	HxRegisterSession_IHxPlugIn = 2
}

enum HxCancelStatus
{
	HxCancelStatus_Continue = 0,
	HxCancelStatus_Cancel = 1
}


extern _IID_IHxHierarchy as GUID;
// {314111B2-A502-11D2-BBCA-00C04F8EC294}
interface IHxHierarchy : IDispatch
{
	declare virtual GetRoot(long* ppRetval),HRESULT;
	declare virtual GetParent(long hNode, long* ppRetval),HRESULT;
	declare virtual GetSibling(long hNode, long* ppRetval),HRESULT;
	declare virtual GetFirstChild(long hNode, long* ppRetval),HRESULT;
	declare virtual GetNextFromUrl(BSTR pURL, long* ppRetval),HRESULT;
	declare virtual GetPrevFromUrl(BSTR pURL, long* ppRetval),HRESULT;
	declare virtual GetType(long hNode, HxHierarchyNodeType* ppRetval),HRESULT;
	declare virtual IsNew(long hNode, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual HasChild(long hNode, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetSyncInfo(BSTR pURL, SAFEARRAY/*VARIANT*/* ppRetval),HRESULT;
	declare virtual GetTitle(long hNode, BSTR* ppRetval),HRESULT;
	declare virtual GetImageIndexes(long hNode, /*[out]*/long* pOpen, long* ppRetval),HRESULT;
	declare virtual GetURL(long hNode, BSTR* ppRetval),HRESULT;
	declare virtual OnNavigation(BSTR pbstrURL, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual OnHierarchyNavigation(long hNode),HRESULT;
	declare virtual GetProperty(HxHierarchyPropId propid, long hNode, VARIANT* ppRetval),HRESULT;
	declare virtual GetNextFromNode(long hNode, long* ppRetval),HRESULT;
	declare virtual GetPrevFromNode(long hNode, long* ppRetval),HRESULT;
	declare virtual GetTopic(long hNode, IHxTopic* ppRetval),HRESULT;
	declare virtual GetOpenImageIndex(long hNode, long* ppRetval),HRESULT;
	declare virtual GetClosedImageIndex(long hNode, long* ppRetval),HRESULT;
	declare virtual PrintNode(long hwnd, long hNode, HxHierarchy_PrintNode_Options options),HRESULT;
}



extern _IID_IHxTopic as GUID;
// {31411196-A502-11D2-BBCA-00C04F8EC294}
interface IHxTopic : IDispatch
{
	declare virtual get_Title(HxTopicGetTitleType optType, HxTopicGetTitleDefVal optDef, BSTR* ppRetval),HRESULT;
	declare virtual get_URL(BSTR* ppRetval),HRESULT;
	declare virtual get_Location(BSTR* ppRetval),HRESULT;
	declare virtual get_Rank(long* ppRetval),HRESULT;
	declare virtual get_Attributes(IHxAttributeList* ppRetval),HRESULT;
	declare virtual GetInfo(/*[out]*/BSTR* pTitle, /*[out]*/BSTR* pURL, /*[out]*/BSTR* pLocation, /*[out]*/long* pRank),HRESULT;
	declare virtual GetProperty(HxTopicPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual SetProperty(HxTopicPropId propid, VARIANT var byval),HRESULT;
	declare virtual HasAttribute(BSTR Name, BSTR Value, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual HasAttrName(BSTR Name, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual HighlightDocument(IDispatch* pIDispatch),HRESULT;
}



extern _IID_IHxAttributeList as GUID;
// {314111AB-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttributeList : IDispatch
{
	declare virtual get_Count(long* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxAttribute* ppRetval),HRESULT;
	declare virtual EnumAttribute(long filter, long options, IEnumHxAttribute* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual Item(VARIANT index byval, IHxAttribute* ppRetval),HRESULT;
}



extern _IID_IHxAttribute as GUID;
// {314111A9-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttribute : IDispatch
{
	declare virtual GetProperty(HxQueryPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual SetProperty(HxQueryPropId propid, VARIANT var byval),HRESULT;
	declare virtual get_Name(BSTR* ppRetval),HRESULT;
	declare virtual get_Value(BSTR* ppRetval),HRESULT;
	declare virtual get_DisplayName(BSTR* ppRetval),HRESULT;
	declare virtual get_DisplayValue(BSTR* ppRetval),HRESULT;
}



extern _IID_IEnumHxAttribute as GUID;
// {314111AD-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxAttribute : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxAttribute*  ppIHxAttribute, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxAttribute*  ppEnum),HRESULT;
}



extern _IID_IHxRegister as GUID;
// {314111BC-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegister : IDispatch
{
	declare virtual RegisterNamespace(BSTR bstrNamespace, BSTR bstrCollection, BSTR bstrDescription),HRESULT;
	declare virtual IsNamespace(BSTR bstrNamespace, VARIANT_BOOL* ppRetval),HRESULT;
	declare virtual GetCollection(BSTR bstrNamespace, BSTR* ppRetval),HRESULT;
	declare virtual GetDescription(BSTR bstrNamespace, BSTR* ppRetval),HRESULT;
	declare virtual RemoveNamespace(BSTR bstrNamespace),HRESULT;
	declare virtual RegisterHelpFile(BSTR bstrNamespace, BSTR bstrId, long LangId, BSTR bstrHelpFile),HRESULT;
	declare virtual RegisterMedia(BSTR bstrNamespace, BSTR bstrFriendly, BSTR bstrPath, long* ppRetval),HRESULT;
	declare virtual RemoveHelpFile(BSTR bstrNamespace, BSTR bstrId, long LangId),HRESULT;
	declare virtual RegisterHelpFileSet(BSTR bstrNamespace, BSTR bstrId, long LangId, BSTR bstrHxs, BSTR bstrHxi, BSTR bstrHxq, BSTR bstrHxr, long lHxsMediaId, long lHxqMediaId, long lHxrMediaId, long lSampleMediaId),HRESULT;
}



extern _IID_IHxIndex as GUID;
// {314111CC-A502-11D2-BBCA-00C04F8EC294}
interface IHxIndex : IDispatch
{
	declare virtual GetSession(IHxSession* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
	declare virtual GetStringFromSlot(long iSlot, BSTR* ppRetval),HRESULT;
	declare virtual GetLevelFromSlot(long iSlot, long* ppRetval),HRESULT;
	declare virtual GetSlotFromString(BSTR bszLink, long* ppRetval),HRESULT;
	declare virtual GetTopicsFromSlot(long uiSlot, IHxTopicList* ppRetval),HRESULT;
	declare virtual GetTopicsFromString(BSTR bszLink, long options, IHxTopicList* ppRetval),HRESULT;
	declare virtual GetInfoFromSlot(long iSlot, /*[out]*/long* piLevel, BSTR* ppRetval),HRESULT;
	declare virtual GetProperty(HxIndexPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual GetCrossRef(long iSlot, BSTR* ppRetval),HRESULT;
	declare virtual GetFullStringFromSlot(long iSlot, BSTR sep, BSTR* ppRetval),HRESULT;
	declare virtual GetCrossRefSlot(long iSlot, long* ppRetval),HRESULT;
}



extern _IID_IHxSession as GUID;
// {31411192-A502-11D2-BBCA-00C04F8EC294}
interface IHxSession : IDispatch
{
	declare virtual Initialize(BSTR NameSpace, long options),HRESULT;
	declare virtual Query(BSTR keywords, BSTR NavDataMoniker, long options, BSTR FilterMoniker, IHxTopicList* ppRetval),HRESULT;
	declare virtual QueryForTopic(BSTR keywords, BSTR NavDataMoniker, long options, BSTR FilterMoniker, IHxTopic* ppRetval),HRESULT;
	declare virtual QueryForUrl(BSTR keywords, BSTR NavDataMoniker, long options, BSTR FilterMoniker, BSTR* ppRetval),HRESULT;
	declare virtual GetNavigationInterface(BSTR NavDataMoniker, BSTR FilterMoniker, GUID* refiid, IDispatch* ppRetval),HRESULT;
	declare virtual GetNavigationObject(BSTR NavDataMoniker, BSTR FilterMoniker, IDispatch* ppRetval),HRESULT;
	declare virtual GetQueryObject(BSTR NavDataMoniker, BSTR FilterMoniker, IHxQuery* ppRetval),HRESULT;
	declare virtual get_Collection(IHxCollection* ppRetval),HRESULT;
	declare virtual get_LangId(short* ppRetval),HRESULT;
	declare virtual put_LangId(short rhs),HRESULT;
	declare virtual GetFilterList(IHxRegFilterList* ppRetval),HRESULT;
}



extern _IID_IHxTopicList as GUID;
// {31411194-A502-11D2-BBCA-00C04F8EC294}
interface IHxTopicList : IDispatch
{
	declare virtual Item(VARIANT index byval, IHxTopic* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxTopic* ppRetval),HRESULT;
	declare virtual EnumTopics(long filter, long options, IEnumHxTopic* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
}



extern _IID_IEnumHxTopic as GUID;
// {31411195-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxTopic : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxTopic*  ppIHxTopic, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxTopic*  ppEnum),HRESULT;
}



extern _IID_IHxQuery as GUID;
// {31411193-A502-11D2-BBCA-00C04F8EC294}
interface IHxQuery : IDispatch
{
	declare virtual Query(BSTR keywords, HxQuery_Options options, IHxTopicList* ppRetval),HRESULT;
	declare virtual QueryForTopic(BSTR keywords, HxQuery_Options options, IHxTopic* ppRetval),HRESULT;
	declare virtual QueryForUrl(BSTR keywords, HxQuery_Options options, BSTR* ppRetval),HRESULT;
}



extern _IID_IHxCollection as GUID;
// {314111A1-A502-11D2-BBCA-00C04F8EC294}
interface IHxCollection : IDispatch
{
	declare virtual GetProperty(HxCollectionPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual SetProperty(HxCollectionPropId propid, VARIANT var byval),HRESULT;
	declare virtual get_URL(BSTR* ppRetval),HRESULT;
	declare virtual get_AttributeNames(IHxAttrNameList* ppRetval),HRESULT;
	declare virtual get_Filters(IHxFilters* ppRetval),HRESULT;
	declare virtual get_Title(BSTR* ppRetval),HRESULT;
	declare virtual MergeIndex(),HRESULT;
	declare virtual GetFilterTopicCount(BSTR bstrQuery, long* ppRetval),HRESULT;
}



extern _IID_IHxAttrNameList as GUID;
// {314111CE-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttrNameList : IDispatch
{
	declare virtual get_Count(long* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxAttrName* ppRetval),HRESULT;
	declare virtual EnumAttrName(long filter, long options, IEnumHxAttrName* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual Item(VARIANT index byval, IHxAttrName* ppRetval),HRESULT;
}



extern _IID_IHxAttrName as GUID;
// {314111D2-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttrName : IDispatch
{
	declare virtual GetProperty(HxQueryPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual SetProperty(HxQueryPropId propid, VARIANT var byval),HRESULT;
	declare virtual get_Name(BSTR* ppRetval),HRESULT;
	declare virtual get_DisplayName(BSTR* ppRetval),HRESULT;
	declare virtual get_Flag(long* ppRetval),HRESULT;
	declare virtual get_AttributeValues(IHxAttrValueList* ppRetval),HRESULT;
}



extern _IID_IHxAttrValueList as GUID;
// {314111D4-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttrValueList : IDispatch
{
	declare virtual get_Count(long* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxAttrValue* ppRetval),HRESULT;
	declare virtual EnumAttrValue(long filter, long options, IEnumHxAttrValue* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual Item(VARIANT index byval, IHxAttrValue* ppRetval),HRESULT;
}



extern _IID_IHxAttrValue as GUID;
// {314111D8-A502-11D2-BBCA-00C04F8EC294}
interface IHxAttrValue : IDispatch
{
	declare virtual GetProperty(HxQueryPropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual SetProperty(HxQueryPropId propid, VARIANT var byval),HRESULT;
	declare virtual get_Value(BSTR* ppRetval),HRESULT;
	declare virtual get_DisplayValue(BSTR* ppRetval),HRESULT;
	declare virtual get_Flag(long* ppRetval),HRESULT;
}



extern _IID_IEnumHxAttrValue as GUID;
// {314111D6-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxAttrValue : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxAttrValue*  ppIHxAttrValue, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxAttrValue*  ppEnum),HRESULT;
}



extern _IID_IEnumHxAttrName as GUID;
// {314111D0-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxAttrName : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxAttrName*  ppIHxAttrName, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxAttrName*  ppEnum),HRESULT;
}



extern _IID_IHxFilters as GUID;
// {314111E3-A502-11D2-BBCA-00C04F8EC294}
interface IHxFilters : IDispatch
{
	declare virtual Count(long* ppRetval),HRESULT;
	declare virtual GetFilter(long iIndex, /*[out]*/BSTR* pbstrName, BSTR* ppRetval),HRESULT;
	declare virtual GetFilterName(long iIndex, BSTR* ppRetval),HRESULT;
	declare virtual GetFilterQuery(long iIndex, BSTR* ppRetval),HRESULT;
	declare virtual RegisterFilter(BSTR bstrName, BSTR bstrQuery),HRESULT;
	declare virtual RemoveFilter(BSTR bstrName),HRESULT;
	declare virtual FindFilter(BSTR bstrName, BSTR* ppRetval),HRESULT;
	declare virtual SetNamespace(BSTR bstrName),HRESULT;
	declare virtual SetCollectionFiltersFlag(VARIANT_BOOL vb),HRESULT;
}



extern _IID_IHxRegFilterList as GUID;
// {31411212-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegFilterList : IDispatch
{
	declare virtual Item(VARIANT index byval, IHxRegFilter* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxRegFilter* ppRetval),HRESULT;
	declare virtual EnumRegFilter(long filter, long options, IEnumHxRegFilter* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
	declare virtual FindFilter(BSTR bstrFilterName, IHxRegFilter* ppRetval),HRESULT;
}



extern _IID_IHxRegFilter as GUID;
// {31411221-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegFilter : IDispatch
{
	declare virtual GetProperty(HxRegFilterPropId propid, VARIANT* ppRetval),HRESULT;
}



extern _IID_IEnumHxRegFilter as GUID;
// {3141121C-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxRegFilter : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxRegFilter*  ppIHxRegFilter, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxRegFilter*  ppEnum),HRESULT;
}



extern _IID_IHxSampleCollection as GUID;
// {314111E6-A502-11D2-BBCA-00C04F8EC294}
interface IHxSampleCollection : IDispatch
{
	// Get a Sample from the collection based on the SampleId
	declare virtual GetSampleFromId(BSTR bstrTopicUrl, BSTR bstrId, BSTR bstrSFLName, IHxSample* ppRetval),HRESULT;
}



extern _IID_IHxSample as GUID;
// {314111E8-A502-11D2-BBCA-00C04F8EC294}
interface IHxSample : IDispatch
{
	// The SampleId for this Sample
	declare virtual get_SampleId(BSTR* ppRetval),HRESULT;
	// The string to display when loading the Sample
	declare virtual get_LoadString(BSTR* ppRetval),HRESULT;
	// The default destination directory for the Sample
	declare virtual get_DestinationDir(BSTR* ppRetval),HRESULT;
	// The project extension for the Sample
	declare virtual get_ProjectFileExt(BSTR* ppRetval),HRESULT;
	// The count of files in this Sample
	declare virtual get_FileCount(long* ppRetval),HRESULT;
	// Get the file name for the file at the specified index
	declare virtual GetFileNameAtIndex(long index, BSTR* ppRetval),HRESULT;
	// Copy the file at the given index
	declare virtual CopyFileAtIndex(long index, BSTR bstrDest, HxSampleFileCopyOption option),HRESULT;
	// Show the Choose Directory common dialog
	declare virtual ChooseDirectory(BSTR bstrDefaultDir, BSTR bstrTitle, BSTR* ppRetval),HRESULT;
	// Return the contents of a text file
	declare virtual GetFileTextAtIndex(long index, BSTR* ppRetval),HRESULT;
}



extern _IID_IHxRegistryWalker as GUID;
// {314111EF-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegistryWalker : IDispatch
{
	// Get a list of all registered namespaces
	declare virtual get_RegisteredNamespaceList(BSTR bstrStart, IHxRegNamespaceList* ppRetval),HRESULT;
}



extern _IID_IHxRegNamespaceList as GUID;
// {314111F3-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegNamespaceList : IDispatch
{
	declare virtual Item(VARIANT index byval, IHxRegNamespace* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxRegNamespace* ppRetval),HRESULT;
	declare virtual EnumRegNamespace(long filter, long options, IEnumHxRegNamespace* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
}



extern _IID_IHxRegNamespace as GUID;
// {314111F1-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegNamespace : IDispatch
{
	// Get the name of this registered namespace
	declare virtual get_Name(BSTR* ppRetval),HRESULT;
	declare virtual GetProperty(HxRegNamespacePropId propid, VARIANT* ppRetval),HRESULT;
	declare virtual IsTitle(BSTR bstrTitle, VARIANT_BOOL* ppRetval),HRESULT;
}



extern _IID_IEnumHxRegNamespace as GUID;
// {314111F5-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxRegNamespace : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxRegNamespace*  ppIHxRegNamespace, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxRegNamespace*  ppEnum),HRESULT;
}



extern _IID_IHxRegTitle as GUID;
// {31411202-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegTitle : IDispatch
{
	declare virtual GetProperty(HxRegTitlePropId propid, VARIANT* ppRetval),HRESULT;
}



extern _IID_IHxRegTitleList as GUID;
// {31411203-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegTitleList : IDispatch
{
	declare virtual Item(VARIANT index byval, IHxRegTitle* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxRegTitle* ppRetval),HRESULT;
	declare virtual EnumRegTitle(long filter, long options, IEnumHxRegTitle* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
}



extern _IID_IEnumHxRegTitle as GUID;
// {31411204-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxRegTitle : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxRegTitle*  ppIHxRegTitle, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxRegTitle*  ppEnum),HRESULT;
}



extern _IID_IHxRegPlugIn as GUID;
// {3141120A-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegPlugIn : IDispatch
{
	declare virtual GetProperty(HxRegPlugInPropId propid, VARIANT* ppRetval),HRESULT;
}



extern _IID_IHxRegPlugInList as GUID;
// {3141120B-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegPlugInList : IDispatch
{
	declare virtual Item(VARIANT index byval, IHxRegPlugIn* ppRetval),HRESULT;
	declare virtual ItemAt(long index, IHxRegPlugIn* ppRetval),HRESULT;
	declare virtual EnumRegPlugIn(long filter, long options, IEnumHxRegPlugIn* ppRetval),HRESULT;
	declare virtual get__NewEnum(IUnknown* ppRetval),HRESULT;
	declare virtual get_Count(long* ppRetval),HRESULT;
}



extern _IID_IEnumHxRegPlugIn as GUID;
// {3141120C-A502-11D2-BBCA-00C04F8EC294}
interface IEnumHxRegPlugIn : IUnknown
{
	declare virtual Next(ULONG celt, /*[out]*/IHxRegPlugIn*  ppIHxRegPlugIn, /*[out]*/ULONG* pceltFetched),HRESULT;
	declare virtual Reset(),HRESULT;
	declare virtual Skip(ULONG celt),HRESULT;
	declare virtual Clone(/*[out]*/IEnumHxRegPlugIn*  ppEnum),HRESULT;
}



extern _IID_IHxRegisterSession as GUID;
// {31411218-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegisterSession : IDispatch
{
	declare virtual CreateTransaction(BSTR bstrInToken, BSTR* ppRetval),HRESULT;
	declare virtual PostponeTransaction(BSTR* ppRetval),HRESULT;
	declare virtual ContinueTransaction(BSTR bstrToken),HRESULT;
	declare virtual CommitTransaction(),HRESULT;
	declare virtual RevertTransaction(),HRESULT;
	declare virtual GetRegistrationObject(HxRegisterSession_InterfaceType type, IDispatch* ppRetval),HRESULT;
}



extern _IID_IHxPlugIn as GUID;
// {314111DA-A502-11D2-BBCA-00C04F8EC294}
interface IHxPlugIn : IDispatch
{
	// method RegisterHelpPlugIn
	declare virtual RegisterHelpPlugIn(BSTR bstrProductNamespace, BSTR bstrProductHxt, BSTR bstrNamespace, BSTR bstrHxt, BSTR bstrHxa, long options),HRESULT;
	// method RemoveHelpPlugIn
	declare virtual RemoveHelpPlugIn(BSTR bstrProductNamespace, BSTR bstrProductHxt, BSTR bstrNamespace, BSTR bstrHxt, BSTR bstrHxa),HRESULT;
}



extern _IID_IHxInitialize as GUID;
// {314111AE-A502-11D2-BBCA-00C04F8EC294}
interface IHxInitialize : IDispatch
{
	declare virtual Initialize(BSTR InitString, long options),HRESULT;
	declare virtual get_filter(BSTR* ppRetval),HRESULT;
	declare virtual put_filter(BSTR rhs),HRESULT;
}



extern _IID_IHxCancel as GUID;
// {31411225-A502-11D2-BBCA-00C04F8EC294}
interface IHxCancel : IDispatch
{
	declare virtual get_Cancel(HxCancelStatus* ppRetval),HRESULT;
	declare virtual put_Cancel(HxCancelStatus rhs),HRESULT;
}



extern _DIID_IHxSessionEvents as GUID;
// {314111ED-A502-11D2-BBCA-00C04F8EC294}
interface IHxSessionEvents : IDispatch
{
	declare virtual QueryCancel(IDispatch* pSession, IDispatch* pCancel, long status),HRESULT;
	declare virtual IndexMergeStatus(IDispatch* pSession, IDispatch* pCancel, long status),HRESULT;
	declare virtual PrintMergeStatus(IDispatch* pSession, IDispatch* pCancel, long status),HRESULT;
	declare virtual MergeIndexFileName(IDispatch* pDisp, BSTR bstrFile),HRESULT;
}



extern _DIID_IHxRegisterSessionEvents as GUID;
// {31411223-A502-11D2-BBCA-00C04F8EC294}
interface IHxRegisterSessionEvents : IDispatch
{
	declare virtual FiltersChanged(IDispatch* pDisp, VARIANT* pvar),HRESULT;
}


// {31411198-A502-11D2-BBCA-00C04F8EC294}
extern _CLSID_HxSession as GUID;
// interface IHxSession
// dispinterface IHxSessionEvents

// {314111F0-A502-11D2-BBCA-00C04F8EC294}
extern _CLSID_HxRegistryWalker as GUID;
// interface IHxRegistryWalker

// {31411219-A502-11D2-BBCA-00C04F8EC294}
extern _CLSID_HxRegisterSession as GUID;
// interface IHxRegisterSession
// dispinterface IHxRegisterSessionEvents

// {31411228-A502-11D2-BBCA-00C04F8EC294}
extern _CLSID_HxRegisterProtocol as GUID;
// interface IHxRegisterProtocol

// {31411227-A502-11D2-BBCA-00C04F8EC294}
extern _IID_IHxRegisterProtocol as GUID;

interface IHxRegisterProtocol : IDispatch
{
	declare virtual Register(),HRESULT;
	declare virtual Unregister(),HRESULT;
}


//////////////////////////////////
// module HxSearchMeta
#define HxSearchMetaBegin L"[SrchMeta["
#define HxSearchMetaEnd L"]SrchMeta]"
#define HxSearchTocBegin L"[Toc["
#define HxSearchTocEnd L"]Toc]"
#define HxSearchInclBegin L"[Incl["
#define HxSearchInclEnd L"]Incl]"
#define HxSearchExclBegin L"[Excl["
#define HxSearchExclEnd L"]Excl]"


#endif



